import { defaultTimeoutSeconds } from './option';
import { loadResource } from './load-resource';
import { getDefaultOption } from './default-option';
/**
 * @public
 * @param href
 * @param timeoutSeconds
 * @param id
 * @param appendTo
 */
var loadCss = function (_a) {
    var _b;
    var href = _a.href, timeoutSeconds = _a.timeoutSeconds, id = _a.id, appendTo = _a.appendTo;
    return loadResource({
        url: href,
        hostElementTagName: 'link',
        timeoutSeconds: (_b = timeoutSeconds !== null && timeoutSeconds !== void 0 ? timeoutSeconds : getDefaultOption().timeoutSeconds) !== null && _b !== void 0 ? _b : defaultTimeoutSeconds,
        id: id,
        appendTo: appendTo !== null && appendTo !== void 0 ? appendTo : getDefaultOption().appendTo,
    });
};
export { loadCss };
